'use strict';

// ** Dependencies
function loadPlugin(server, service) {

    const path = service.path;

    // ENDPOINT: Health Check
    server.get(`${path}/stats`, (req, res) => {

        const response = {
            service: {
                name: service.name,
                stats: service.stats
            }
        };

        res.send(response);
    });

    return Promise.resolve();
}

// ** Exports
module.exports = loadPlugin;